Packages - Freedom Issue #2114

[konqueror]: can not load any URL - depends on qt5-webengine
2018-12-12 05:08 AM - bill-auger

Status: confirmed % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

(on x86_64) most of the menu items and the URL entry textbox are disabled grey - i could not open any URL and the program keeps
running after the GUI shuts down - had to kill

$ konqueror

gtbct: using gtbct plugin

gt5ct: D-Bus global menu: no

Illegal icon group: 7

QWidget::insertAction: Attempt to insert null action

QWidget::insertAction: Attempt to insert null action

kdeinit5: preparing to launch '/usr/lib/kf5/klauncher’

kdeinit5: Launched KLauncher, pid = 15162, result = 0

gt5ct: using gtb5ct plugin

Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged (QString, QString, QStr
ing)

kdeinit5: opened connection to :0

kdeinit5: Got EXEC_NEW '/usr/lib/gt/plugins/libkio_about.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/gt/plugins/libkio_about.so'
kdeinit5: Got EXEC_NEW '/usr/lib/qt/plugins/kf5/kio/file.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/gt/plugins/kf5/kio/file.so’
org.kde.konqueror: no part could be loaded

2C

kdeinit5: PID 15165 terminated.

passing a URL on the command line does load the page; but as raw text instead of rendering as HTML
$ konqueror https:/parabola.nu

<!DOCTYPE html>

<html lang="en">

<head>
<meta charset="utf-8" />
<title>Parabola GNU/Linux-libre</title>

Related issues:
Related to Packages - Freedom Issue #1167: [chromium][qt5-webengine][electron... confirmed

History

#1 - 2018-12-12 05:09 AM - bill-auger

- Description updated

#2 - 2018-12-16 02:13 AM - freemor

And likely another casualty of gt-webengine

Was looking into this. noticed it had not been built since March and from bugs like #2117 | knew there were updated KDE things.

But, Latest Konqueror is 18.12.0 (current libre version is 17.12.3)
and from the 18.12.0 PKGBUILD we have.... (wait for it)

depends=(dolphin keditbookmarks gt5-webengine kdelibs4support khtml)

So looks like this one goes bye-bye because it now falls into the related to #1167 pile
https://parabola.nu
https://labs.parabola.nu/issues/2117
https://labs.parabola.nu/issues/1167

#3 - 2018-12-16 05:58 AM - bill-auger
- Priority changed from bug to freedom issue

- Tracker changed from Bug to Freedom Issue

oh, the irony - just FYI, my understanding of this is that webkit was originally forked from konqueror, then chromium used that as the basis for their
new browser, then gt-webengine was extracted from the chromium sources, then gt-webengine somehow became the de-facto web library , and now
konqueror uses qt5-webengine - unfortunately, this library accumulated some barnacles along its journey; and here we are, blacklisting konqueror (if
is the core web rendering engine then this program is probably useless without it) - all because of this trend to favor the new "modern" thing rather
than maintaining webkit properly

#4 - 2018-12-16 05:59 AM - bill-auger

- Related to Freedom Issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform" added

#5 - 2018-12-16 06:04 AM - bill-auger

i will add though, that the 'konqueror' package description states: "without ... nonfree qt5-webengine support"; so something must have been done to
address that already

where did you see a PKGBUILD for 'konqueror' v18.12.0 ? - 'konqueror' is already in [libre] for this reason; so the only way 'gt-webengine' would be in
the deps array is if a parabola dev added it; which would entirely negate it being re-built in the first place
except for the privacy concerns

#6 - 2018-12-16 12:22 PM - freemor

bill-auger wrote:

where did you see a PKGBUILD for 'konqueror' v18.12.0 ? - 'konqueror' is already in [libre] for this reason; so the only way 'gt-webengine' would
be in the deps array is if a parabola dev added it; which would entirely negate it being re-built in the first place
except for the privacy concerns

| was comparing the PKGBUILD pulled from ASP against the current to check for updates (knowing that KDE just updated)
It was late So | missed the 'without gt-webengine' part in the libre one (I assumed there had been other issues since it seems to be based on dolphin)
. I'll try rebuilding it first updated, it that fails then as is.

#7 - 2018-12-16 12:53 PM - freemor
Sigh looks like a bunch of other KDE packages need to be rebuilt first (kio, kdevelop?) as tyring to build it either way (as is/updated) throws:

| ==> Starting build()...
—— The C compiler identification is GNU 8.2.1
—— The CXX compiler identification is GNU 8.2.1
—— Check for working C compiler: /usr/bin/cc
—— Check for working C compiler: /usr/bin/cc —-- works
—— Detecting C compiler ABI info
—— Detecting C compiler ABI info - done
—— Detecting C compile features

—— Detecting C compile features - done
—- Check for working CXX compiler: /usr/bin/c++
—— Check for working CXX compiler: /usr/bin/c++ -- works

—— Detecting CXX compiler ABI info

—— Detecting CXX compiler ABI info - done

—— Detecting CXX compile features

—— Detecting CXX compile features - done

—— Installing in the same prefix as Qt, adopting their path scheme.

Looking for __ GLIBC___

—— Looking for __ _GLIBC__ - found

—— Performing Test _OFFT_IS_64BIT

—— Performing Test _OFFT_IS_64BIT - Success

—— Performing Test HAVE_DATE_TIME

—— Performing Test HAVE_DATE_TIME - Success

CMake Warning at /usr/share/cmake-3.13/Modules/CMakeFindDependencyMacro.cmake:48 (find_package) :
Could not find a configuration file for package "KF5KIO" that is compatible
with requested version "5.53.0".

The following configuration files were considered but not accepted:

/usr/1ib64/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/usr/lib/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/1ib64/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/1ib/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
Call Stack (most recent call first):
/usr/1ib64/cmake/KF5Parts/KF5PartsConfig.cmake:38 (find_dependency)
/usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package)
CMakeLists.txt:27 (find_package)

CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package) :
Found package configuration file:

/usr/1ib64/cmake/KF5Parts/KF5PartsConfig.cmake

but it set KF5Parts_FOUND to FALSE so package "KF5Parts" is considered to
be NOT FOUND. Reason given by package:

KF5Parts could not be found because dependency KF5KIO could not be found.

Call Stack (most recent call first):
CMakeLists.txt:27 (find_package)

—— Could NOT find KF5Parts (found version "5.53.0"), checked the following files:
/usr/1ib64/cmake/KF5Parts/KF5PartsConfig.cmake (version 5.53.0)
Reason given by package: KF5Parts could not be found because dependency KF5KIO could not be found.

—— Found KF5KCMUtils: /usr/lib64/cmake/KF5KCMUtils/KF5KCMUtilsConfig.cmake (found version "5.53.0"
-— Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1"
CMake Warning at /usr/share/cmake-3.13/Modules/CMakeFindDependencyMacro.cmake:48 (find_package) :
Could not find a configuration file for package "KF5KIO" that is compatible
with requested version "5.53.0".

The following configuration files were considered but not accepted:

/usr/1ib64/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/usr/lib/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/1ib64/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/1lib/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0

Call Stack (most recent call first):
/usr/1lib64/cmake/KF5KHtml /KF5KHtmlConfig.cmake:43 (find_dependency)
/usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package)
CMakeLists.txt:27 (find_package)

CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package) :
Found package configuration file:

/usr/1ib64/cmake/KF5KHtml /KF5KHtmlConfig. cmake

but it set KFS5KHtml_FOUND to FALSE so package "KF5KHtml" is considered to
be NOT FOUND. Reason given by package:

KEF5KHtml could not be found because dependency KF5KIO could not be found.

Call Stack (most recent call first):
CMakeLists.txt:27 (find_package)

—— Could NOT find KF5KHtml (found version "5.53.0"), checked the following files:
/usr/1ib64/cmake/KF5KHtml /KF5KHtmlConfig.cmake (version 5.53.0)
Reason given by package: KF5KHtml could not be found because dependency KF5KIO could not be found.

CMake Warning at /usr/share/cmake-3.13/Modules/CMakeFindDependencyMacro.cmake:48 (find_package) :
Could not find a configuration file for package "KF5KIO" that is compatible
with requested version "5.53.0".

The following configuration files were considered but not accepted:
/usr/1ib64/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/usr/lib/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/1ib64/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0
/1ib/cmake/KF5KIO/KF5KIOConfig.cmake, version: 5.49.0

Call Stack (most recent call first):
/usr/1ib64/cmake/KF5Parts/KF5PartsConfig.cmake:38 (find_dependency)
/usr/share/cmake-3.13/Modules/CMakeFindDependencyMacro.cmake:48 (find_package)
/usr/1ib64/cmake/KF5KDELibs4Support/KF5KDELibs4SupportConfig.cmake:56 (find_dependency)
/usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package)

CMakeLists.txt:27 (find_package)

CMake Warning at /usr/share/cmake-3.13/Modules/CMakeFindDependencyMacro.cmake:48 (find_package) :
Found package configuration file:

/usr/1ib64/cmake/KF5Parts/KF5PartsConfig.cmake

but it set KF5Parts_FOUND to FALSE so package "KF5Parts" is considered to
be NOT FOUND. Reason given by package:

KF5Parts could not be found because dependency KF5KIO could not be found.

Call Stack (most recent call first):
/usr/1ib64/cmake/KF5KDELibs4Support /KFS5KDELibs4SupportConfig.cmake:56 (find_dependency)
/usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package)
CMakeLists.txt:27 (find_package)

CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package) :
Found package configuration file:

/usr/1ib64/cmake/KF5KDELibs4Support/KF5KDELibs4SupportConfig.cmake

but it set KF5KDELibs4Support_FOUND to FALSE so package
"KF5KDELibs4Support" is considered to be NOT FOUND. Reason given by
package:

KF5KDELibs4Support could not be found because dependency KF5Parts could not
be found.

Call Stack (most recent call first):
CMakeLists.txt:27 (find_package)

—-— Could NOT find KF5KDELibs4Support (found version "5.53.0"), checked the following files:
/usr/1lib64/cmake/KF5KDELibs4Support/KF5KDELibs4SupportConfig.cmake (version 5.53.0)
Reason given by package: KF5KDELibs4Support could not be found because dependency KF5Parts could not b
e found.

—— Found KF5Archive: /usr/lib64/cmake/KF5Archive/KF5ArchiveConfig.cmake (found version "5.53.0"

-— Found KF5Crash: /usr/lib64/cmake/KF5Crash/KF5CrashConfig.cmake (found version "5.53.0"

CMake Error at /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:137 (message) :
Could NOT find KF5 (missing: Parts KHtml KDELibs4Support) (found suitable
version "5.53.0", minimum required is "5.27.0"

Call Stack (most recent call first):
/usr/share/cmake—-3.13/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
/usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
CMakeLists.txt:27 (find_package)

—— Configuring incomplete, errors occurred!
See also "/build/konqueror/src/build/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build() .

Aborting...

Sadly | do not have time for all that Today.. I'll add it to my mental list and give it a go if the package maintainers don't beat me too it

#8 - 2018-12-28 07:50 PM - arescorpio

- Subject changed from [konqueror]: can not load any URL to [konqueror]: OK solventado!

#9 - 2018-12-28 07:58 PM - bill-auger

- Subject changed from [konqueror]: OK solventado! to [konqueror]: can not load any URL

#10 - 2019-02-27 08:32 PM - bill-auger
- Status changed from open to confirmed

- Subject changed from [konqueror]: can not load any URL to [konqueror]: can not load any URL - depends on qt5-webengine
